
#asm
spriteBlockPtr:
	dw sprite_Dance1rawbmp
#endasm
ResetSpriteBlock()
{
#asm
	ld hl, sprite_Dance1rawbmp
	ld ( spriteBlockPtr ), hl
#endasm

	SpriteBlocks2Ptr = 0;
}

GetSpriteBlockSize()
{
#asm
	ld hl, ( spriteBlockPtr )
	ld a, ( hl )
	inc hl
	ld h, ( hl )
	ld l, a
#endasm
}

NextSpriteBlock()
{
#asm
	ld hl, ( spriteBlockPtr )
	inc hl
	inc hl
	ld ( spriteBlockPtr ), hl
#endasm
}

#asm
packedDataDesc:
	db &c4
	dw &4000, &8000	
	db &c5
	dw &4000, &8000	
	db &c6
	dw &4000, &8000	
	db &c7
	dw &4000, &8000
#endasm

GetPackedDataDesc()
{
#asm
	ld hl, packedDataDesc
#endasm
}

SetStartPackedDataDesc( unpackSize, dataPtr, bank )
	int unpackSize;
	char *dataPtr;
	char bank;
{
	SpriteBlocks1Ptr = SpriteBlocksUnpackPtr;
	SpriteBlocksEndPtr = SpriteBlocksUnpackPtr + unpackSize - 1;

#asm
	di
	pop ix
	pop de
	pop hl
	push hl
	push de
	push ix
	ei

	ld a, e
	ld ( packedDataDesc ), a
	ld ( packedDataDesc + 1 ), hl
	inc a
	ld ( packedDataDesc + 5 ), a
	inc a
	ld ( packedDataDesc + 10 ), a
	inc a
	ld ( packedDataDesc + 15 ), a
#endasm
}

SetSpriteFile( unpackedSize, ptrInBank, bank )
	int unpackedSize;
	int ptrInBank;
	int bank;
{
	SetStartPackedDataDesc( 	unpackedSize, ptrInBank, bank );
	ExoSetup( GetPackedDataDesc(), 0xC0 );
}

ResetSpriteFiles()
{
	int unpackedSize;
	int ptrInBank;
	int bank;

	spriteFile = 0;
	ResetSpriteBlock();
	
	spriteFilePtr = GetSpriteTable();

	unpackedSize = *( spriteFilePtr++ );
	ptrInBank = *( spriteFilePtr++ );
	bank = *( spriteFilePtr++ );

	SetSpriteFile( unpackedSize, ptrInBank, bank );
}

NextSpriteFile()
{
	int unpackedSize;
	int ptrInBank;
	int bank;

	unpackedSize = *( spriteFilePtr++ );
	ptrInBank = *( spriteFilePtr++ );
	bank = *( spriteFilePtr++ );

	SetSpriteFile( unpackedSize, ptrInBank, bank );
}