
#asm
highLines:
#endasm
#include "high.cxx"

#asm
lowLines:
#endasm
#include "low.cxx"

static char IsFlipped;

// ----------------------------------------------------------------------------
FlipScreen()
{
	if ( IsFlipped == 0 )
	{
		IsFlipped = 1;

		SetCRTC( 12, 0x0C );
		SetCRTC( 13, 0x40 );
	}
	else
	{
		IsFlipped = 0;
		
		SetCRTC( 12, 0x2C );
		SetCRTC( 13, 0x40 );
	}	
}

// ----------------------------------------------------------------------------
BringBackToFrontLines()
{
	if ( IsFlipped == 0 )
	{
		IsFlipped = 1;
	}
	else
	{
		IsFlipped = 0;
	}	
}

// ----------------------------------------------------------------------------
IsScreenFlipped()
{
	return IsFlipped;
}

// ----------------------------------------------------------------------------
/* int * */
GetTopBackVideoPtr()
{
	if ( IsFlipped == 1 )
	{
		return VIDEOSEGMENT8000;
	}

	return VIDEOSEGMENT0000;
}

// ----------------------------------------------------------------------------
/* int * */
GetBottomBackVideoPtr()
{
	if ( IsFlipped == 1 )
	{
		return VIDEOSEGMENTC000;
	}

	return VIDEOSEGMENT4000;
}

// ----------------------------------------------------------------------------
/* int * */
GetBackLines()
{
#asm
asmGetBackLines:
#endasm

	if ( IsFlipped == 1 )
	{
#asm
	ld hl, highLines
	ret
#endasm
	}
	
#asm
	ld hl, lowLines
	ret
#endasm
}

// ----------------------------------------------------------------------------
/* int * */
GetFrontLines( )
{
#asm
asmGetFrontLines:
#endasm

	if ( IsFlipped == 1 )
	{	
#asm
	ld hl, lowLines
	ret
#endasm
	}
	
#asm
	ld hl, highLines
	ret
#endasm
}
