
#asm
JumpTable				equ &8000

; ClearScreen
ClearScreenFuncID			equ JumpTable
ClearBackScreenFuncID			equ ClearScreenFuncID+2

; Unpack
UnpackFuncID				equ ClearBackScreenFuncID+2

; Sprite
InitSpriteFrameFuncID			equ UnpackFuncID+2
InitSpriteStackFuncID			equ InitSpriteFrameFuncID+2
DrawSpriteDataFuncID			equ InitSpriteStackFuncID+2
DrawSpriteDataScanlineFuncID equ DrawSpriteDataFuncID+2
DrawSpriteOpcodesFuncID			equ DrawSpriteDataScanlineFuncID+2
RestoreBackgroundFuncID		equ DrawSpriteOpcodesFuncID+2
DrawSpriteOpcodesKeepBackgroundFuncID	equ RestoreBackgroundFuncID+2

; Memory
memsetFuncID				equ DrawSpriteOpcodesKeepBackgroundFuncID+2
memcpyFuncID				equ memsetFuncID+2

; GateArray
SetColorFuncID			equ memcpyFuncID+2
SetPaletteFuncID			equ SetColorFuncID+2
SetModeFuncID				equ SetPaletteFuncID+2
UpdateBankFuncID			equ SetModeFuncID+2
SetBankFuncID				equ UpdateBankFuncID+2
PushBankFuncID			equ SetBankFuncID+2
PopBankFuncID				equ PushBankFuncID+2

; Flipping
FlipScreenID				equ PopBankFuncID+2
GetBackLinesID			equ FlipScreenID+2
BringBackToFrontLinesID	equ GetBackLinesID+2
IsScreenFlippedID			equ BringBackToFrontLinesID+2
GetTopBackVideoPtrID		equ IsScreenFlippedID+2
GetBottomBackVideoPtrID	equ GetTopBackVideoPtrID+2
#endasm