
static char *ptr;

DisplayLoadingMan( sprPtr )
	char *sprPtr;
{
#asm
	call asmGetFrontLines
	ld ( linesPtr + 1 ), hl
	ld ( linesPtr_bg + 1 ), hl
#endasm

	Unpack( sprPtr, CODESEGMENT4000 );

	DrawSpriteData( 4, 147, CODESEGMENT4000, CODESEGMENT4000 );
}

MainInit()
{
	DisplayLoadingMan( GetEtape1Ptr() );
	
	PushBank( BANKC4 );
	LoadFile("PHREAKS 002", 0x4000);
	PopBank();

	DisplayLoadingMan( GetEtape2Ptr() );
	
	PushBank( BANKC5 );
	LoadFile("PHREAKS 003", 0x4000);
	PopBank();
	
	DisplayLoadingMan( GetEtape3Ptr() );
	
	PushBank( BANKC6 );
	LoadFile("PHREAKS 004", 0x4000);
	PopBank();
	
	DisplayLoadingMan( GetEtape4Ptr() );
	
	PushBank( BANKC7 );
	LoadFile("PHREAKS 005", 0x4000);
	PopBank();

	EndFDC();
	
	DisplayLoadingMan( GetEtape5Ptr() );
	
	InitJumpTable();

	Unpack( GetSotaPCKPtr(), CODESEGMENTC000 );

	Unpack( GetMusicPCKPtr(), 0xB68E );

	// Charset
	ptr = CODESEGMENTC000 + CODESEGMENTC000_SIZE - DANCE1RAWBMPCHARSETBINPCK_UNPACKEDSIZE;
	Unpack( GetDanceCharsetPtr(), ptr );
	
	// Sprite Frame
	ptr = 0x3DD0;
	Unpack( GetFrameSprTopLeftPCKPtr(), ptr );

	ptr = CODESEGMENT4000;;
	Unpack( GetFrameSprTopRightPCKPtr(), ptr );

	ptr = ptr + FRAMESPRTOPRIGHTBMPSPRZ801PCK_UNPACKEDSIZE;
	Unpack( GetFrameSprBottomLeftPCKPtr(), ptr );

	ptr = ptr + FRAMESPRBOTTOMLEFTBMPSPRZ801PCK_UNPACKEDSIZE;
	Unpack( GetFrameSprBottomRightPCKPtr(), ptr );

	
	// Dirt
	ptr = ptr + FRAMESPRBOTTOMRIGHTBMPSPRZ801PCK_UNPACKEDSIZE;
	Unpack( GetDirt3PCKPtr(), ptr );

	ptr = ptr + DIRT3BMPSPRZ801PCK_UNPACKEDSIZE;
	Unpack( GetDirt4PCKPtr(), ptr );

	ptr = ptr + DIRT4BMPSPRZ801PCK_UNPACKEDSIZE;
	Unpack( GetDirt5PCKPtr(), ptr );

	ptr = ptr + DIRT5BMPSPRZ801PCK_UNPACKEDSIZE;
	Unpack( GetDirt6PCKPtr(), ptr );

	ptr = ptr + DIRT6BMPSPRZ801PCK_UNPACKEDSIZE;
	Unpack( GetDirt1PCKPtr(), ptr );

	ptr = ptr + DIRT1BMPSPRZ801PCK_UNPACKEDSIZE;
	Unpack( GetDirt2PCKPtr(), ptr );

	//ptr = ptr + DIRT2BMPSPRZ801PCK_UNPACKEDSIZE;
#asm
	;db &ed, &ff
#endasm
	
	SetupMusic();
	
	SetupInterrupts( STACKINTERRUPTPOINTER );
	SetCustomInterrupt( 0, MusicCallbackPtr );
	
//	Unpack( GetMainPartPCKPtr(), CODESEGMENTC000 );

	ExecutePart();
}