
#asm
rasterTableBG1:
	db COLOR14
	db COLOR5
	db 0

rasterTableBG2:
	db COLOR18
	db COLOR19
	db COLOR21
	db COLOR22
	db 0

rasterTableBG3:
	db COLOR4
	db COLOR3
	db 0

rasterTableBG4:
	db COLOR25
	db COLOR24
	db 0

rasterTableBG5:
	db COLOR13
	db COLOR10
	db COLOR12
	db 0

rasterTableBG6:
	db COLOR4
	db COLOR3
	db 0

rasterTableBG7:
	db COLOR14
	db COLOR11
	db 0

rasterTableBG8:
	db COLOR7
	db COLOR6
	db 0

rasterTableBG9:
	db COLOR1
	db COLOR3
	db 0

rasterTableBG10:
	db COLOR15
	db COLOR16
	db 0

rasterTableBG11:
	db COLOR14
	db COLOR11
	db 0

rasterTableBG12:
	db COLOR0
	db COLOR4
	db COLOR0
	db COLOR1
	db COLOR0
	db COLOR3
	db 0

currentRasterTable:
	db -1
#endasm

Raster()
{	
#asm
	exx
	ex af, af'

rasterPtr1:
	ld hl, 0 ; rasterTableBG1

	ld a, h
	or a
	jp z, noRaster

	ld a, ( hl )
	inc hl
	or a
	jp nz, rasterPtrEnd1
rasterPtr1Rst:
	ld hl, rasterTableBG1
	ld a, ( hl )
rasterPtrEnd1:
	ld ( rasterPtr1 + 1 ), hl

	di
	ld bc, &7f00
	out (c), c
	out (c), a
	ei

noRaster:
	ex af, af'
	exx
#endasm
}

ResetRasterFX()
{
#asm
	ld a, 11
	ld ( currentRasterTable ), a
#endasm	

	NextRasterFX();
}

NextRasterFX()
{
#asm
	ld a, ( currentRasterTable )
	inc a
	cp 12
	jp nz, noResetRasterTable
	xor a
noResetRasterTable:
	ld ( currentRasterTable ), a

	or a
	jp z, setTable1
	cp 1
	jp z, setTable2
	cp 2
	jp z, setTable3
	cp 3
	jp z, setTable4
	cp 4
	jp z, setTable5
	cp 5
	jp z, setTable6
	cp 6
	jp z, setTable7
	cp 7
	jp z, setTable8
	cp 8
	jp z, setTable9
	cp 9
	jp z, setTable10
	cp 10
	jp z, setTable11
	cp 11
	jp z, setTable12

setTable12:
	ld hl, rasterTableBG12
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable11:
	ld hl, rasterTableBG11
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable10:
	ld hl, rasterTableBG10
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable9:
	ld hl, rasterTableBG9
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable8:
	ld hl, rasterTableBG8
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable1:	
	ld hl, rasterTableBG1
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable2:	
	ld hl, rasterTableBG2
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable3:	
	ld hl, rasterTableBG3
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable4:	
	ld hl, rasterTableBG4
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable5:	
	ld hl, rasterTableBG5
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable6:	
	ld hl, rasterTableBG6
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTable7:	
	ld hl, rasterTableBG7
	ld ( rasterPtr1Rst + 1 ), hl
	ld ( rasterPtr1 + 1 ), hl
	jp setTableEnd

setTableEnd:
#endasm
}