
#asm
 	org &E00
#endasm

#include "MainData.cxx"

// Startup
#asm
	org &2800
	nolist

	ld sp, &80

	jp main
#endasm

// Config
#include "Config.h"

// Framework (Public)
#include "FDC.cxx"
#include "CRTC.cxx"
#include "Clear.cxx"
#include "Unpack.cxx"
#include "Sprite.cxx"
#include "Memory.cxx"
#include "GateArray.cxx"
#include "WaitVBL.cxx"
#include "Interrupts.cxx"
#include "Flipping.cxx"
#include "Part.cxx"
#include "ArkosTrackerPlayer.cxx"

// BigFile
#include "DummyData.h"
#undef _BANKCONFIG_H_
#undef BANKCONFIG_C4
#undef BANKCONFIG_C4_SIZE
#undef DATASIZE
#include "Phreaks.h"

// Jumptable
#include "JumptableCore.cxx"

#include "MainMusic.cxx"
#include "MainInit.cxx"


// Main
main()
{
	MainInit();
}
