
#include "JumptableConfig.cxx"

#asm
jumpTable:
	; ClearScreen
	dw ClearScreen
	dw ClearBackScreen

	; Unpack
	dw Unpack

	; Sprite
	dw InitSpriteFrame
	dw InitSpriteStack
	dw DrawSpriteData
	dw DrawSpriteDataScanline
	dw DrawSpriteOpcodes
	dw RestoreBackground
	dw DrawSpriteOpcodesKeepBackground

	; Memory
	dw memset
	dw memcpy

	; GateArray
	dw SetColor
	dw SetPalette
	dw SetMode
	dw UpdateBank
	dw SetBank
	dw PushBank
	dw PopBank

	; Flipping
	dw FlipScreen
	dw GetBackLines
	dw BringBackToFrontLines
	dw IsScreenFlipped
	dw GetTopBackVideoPtr
	dw GetBottomBackVideoPtr

jumpTableEnd:
#endasm

InitJumpTable()
{
#asm
	ld hl, jumpTable
	ld de, &8000
	ld bc, jumpTableEnd - jumpTable
	ldir
#endasm
}
